import React from 'react'
import smartformsInit from '../browser'
import { realmToURL } from '../utils'

class SmartForm extends React.Component {
  constructor(props) {
    super(props)
  }

  render() {
    return (
      <div className="smartforms-react">
        <form style={{ display: 'none' }} id={this.props.initiator + '-FORM'}>
          <input type="hidden" name="smartformRequest" />
        </form>
        <iframe key={this.props.initiator} name={this.props.initiator} id={this.props.initiator} frameBorder="0" height="400px"
          style={{border: 'none', overflowX: 'hidden', width: '100%', opacity: 0, maxHeight: '400px', 
                  transition: 'max-height 0.5s, opacity 0.5s'}}>
        </iframe>
      </div>
    );
  }

  loadForm () {
    smartformsInit({
      formID: this.props.initiator + '-FORM',
      initiator: this.props.initiator,
      realm: realmToURL(this.props.realm),
      request: this.props.request
    })
  }

  componentDidMount() {
    this.loadForm()
  }

  componentDidUpdate() {
    this.loadForm()
  }
}

export default SmartForm